<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddMediaResourceListReq StructType
 * @subpackage Structs
 */
class AddMediaResourceListReq extends APIRequest
{
    /**
     * The mediaResourceList
     * @var XMediaResourceList
     */
    public $mediaResourceList;
    /**
     * Constructor method for AddMediaResourceListReq
     * @uses AddMediaResourceListReq::setMediaResourceList()
     * @param XMediaResourceList $mediaResourceList
     */
    public function __construct(XMediaResourceList $mediaResourceList = null)
    {
        $this
            ->setMediaResourceList($mediaResourceList);
    }
    /**
     * Get mediaResourceList value
     * @return XMediaResourceList|null
     */
    public function getMediaResourceList()
    {
        return $this->mediaResourceList;
    }
    /**
     * Set mediaResourceList value
     * @param XMediaResourceList $mediaResourceList
     * @return AddMediaResourceListReq
     */
    public function setMediaResourceList(XMediaResourceList $mediaResourceList = null)
    {
        $this->mediaResourceList = $mediaResourceList;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddMediaResourceListReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
